Bug 14004 - Installer doesn't recognize Compaq Integrated Array Controller (PCI) devices
Installer doesn't recognize Compaq Integrated Array Controller (PCI) devices
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-07-14 17:42 EDT by John Cagle
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-17 15:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Cagle 2000-07-14 17:42:14 EDT
Installer doesn't automatically recognize Compaq Integrated Array Controller (PCI) devices when doing a CD install on the ProLiant DL360 and 
ProLiant DL380.  The workaround is to use 'expert' mode and manually load the appropriate drivers.

It appears that the Compaq Integrated Array controller is not being auto-detected in Red Hat 7.0 Beta 3.  It has the SYMBIOS chip 53C150.  It 
has two possible PCI VENDOR and DEVICE Ids, depending if it is configured in array, or non-array mode (Dumb SCSI).

In non-array mode (PCI VENDOR = 0x1000 DEV=0x000a) the symbios driver should be loaded.
In array mode (PCI VENDOR = 0x1000 DEV=0x0010) the cpqarray driver should be loaded.
Comment 1 Matt Wilson 2000-07-17 15:33:58 EDT
This would be a problem in kudzu
Comment 2 Bill Nottingham 2000-07-18 12:20:00 EDT
These are all under the Symbios PCI id? OK, fixed in CVS.
Comment 3 John Cagle 2000-07-19 10:00:53 EDT
The both have the same PCI *VENDOR* id, but they have different *DEVICE* ids.
(See the original description of the problem.)  Have you added both drivers and device ids?
Comment 4 Bill Nottingham 2000-07-19 10:52:52 EDT
Yes; I'm just curious; do you know if it's possible to get the 0x0010 device
ID on a Symbios controller that's *not* a raid controller?
Comment 5 John Cagle 2000-07-20 19:37:20 EDT
FYI - Charles White tells me that the 0x0010 device ID
will *not* exist if the controller isn't configured to do RAID.
Comment 6 John Cagle 2000-07-24 18:05:07 EDT
Verified fixed in beta4.

Note You need to log in before you can comment on or make changes to this bug.